%E2H Euclidean to homogeneous
%
% H = E2H(E) is the homogeneous representation of a set of points E.
%
% In the Toolbox points are represented as by Euclidean coordinates which are 
% the columns of a matrix E, and the number of rows is either 2 or 3 to 
% represent 2- or 3-dimensional points.  Homogeous representation increases
% the dimension by one
%
% See also H2E.


% Copyright (C) 1993-2011, by Peter I. Corke

function h = e2h(e) 
    h = [e; ones(1,size(e,2))];
