%% script2 camera1 (hallway model 4)

%%
close all
clear

nf = 1;
Rx = makehgtform('xrotate',-pi/2);
Rz = makehgtform('zrotate',pi);
Txy = makehgtform('Translate',[3 0 3]);
Tf1 = Txy*Rx*Rz;
T = Tf1;

cam1 = true;
if cam1
    cn = 'cam1';
    cam.pos = [1 17 3];
    cam.target = [4 0 3];
else
    cn = 'cam2';
    cam.pos = [5 17 3];
    cam.target = [2 0 3];
end

filename = [cn '_image_' int2str(nf) '.jpg'];
rgb = hallway_view(T,cam,filename);

%%

nf=2;
Txy = makehgtform('Translate',[3 9 1]);
T = Txy*Rz;
filename = [cn '_image_' int2str(nf) '.jpg'];
rgb = hallway_view(T,cam,filename);

%%


nf=3;
Tm = makehgtform('Translate',[0 0 8]);
T = Tf1*Tm;
filename = [cn '_image_' int2str(nf) '.jpg'];
rgb = hallway_view(T,cam,filename);

%%


nf=4;
Ry = makehgtform('yrotate',pi/2);
Tb = makehgtform('Translate',[0 0 -2]);
filename = [cn '_image_' int2str(nf) '.jpg'];
rgb = hallway_view(T*Ry*Tb,cam,filename);


%%

nf=5;
filename = [cn '_image_' int2str(nf) '.jpg'];
rgb = hallway_view(T*Ry'*Tb,cam,filename);

%%

nf=6;
Tbase = Tf1*Tm;
R1= makehgtform('yrotate',pi/3);
R2 = makehgtform('xrotate',pi/6);
filename = [cn '_image_' int2str(nf) '.jpg'];
rgb = hallway_view(Tbase*R1*R2*Tb,cam,filename);


%%

nf=7;
filename = [cn '_image_' int2str(nf) '.jpg'];
rgb = hallway_view(Tbase*R1'*R2,cam,filename);

%%

nf=8;
filename = [cn '_image_' int2str(nf) '.jpg'];
rgb = hallway_view(Tbase*R1'*R2'*Tb,cam,filename);


