%% view1


campos([3 15 3]);
camtarget([3 0 2]);
camup([0 0 1]);
camproj('perspective');
camva(40);

%%

h = gca;
fprintf('camera position: %g %g %g\n',get(h,'CameraPosition'));
fprintf('camera target: %g %g %g\n',get(h,'CameraTarget'));
fprintf('camera up vector: %g %g %g\n',get(h,'CameraUpVector'));
projection = get(h,'Projection');
if (strcmp(projection,'perspective'))
    fprintf('camera view angle: %g\n',get(h,'CameraViewAngle'));
end
fprintf('projection: %s\n',projection);

[az el] = view();
if az>180
    az = az - 360;
end
fprintf('az %g el %g\n',az,el);
fprintf('view matrix\n');
T = viewmtx(az,el);
disp(T)


%%

RC = T(1:3,1:3);
RC(2:3,:) = -RC(2:3,:)

RM = [0 1 0; -1 0 0; 0 0 1];

RM*RC