%% viewpairs


clear
close all

cn1 = 'cam1';
cn2 = 'cam2';

for nf=1:8
    nstr = int2str(nf);
    file1 = [cn1 '_image_' nstr '.jpg'];
    file2 = [cn2 '_image_' nstr '.jpg'];
    figure
    rgb1 = imread(file1);
    rgb2 = imread(file2);
    rgb = horzcat(rgb1,rgb2);
    imshow(imresize(rgb,0.5));
    title(['Image ' nstr]);
end